﻿Public Class frmListBox

    Private Const mcst_strProgramName As String = "リストボックスコントロール"

    Private Sub frmListBox_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Text = mcst_strProgramName
        UctCheckedListBox1.ProgramName = mcst_strProgramName
        UctListBox1.ProgramName = mcst_strProgramName
    End Sub

    Private Sub frmListBox_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseMove
        cmdClear.BackColor = Nothing
        cmdClickWave.BackColor = Nothing
        cmdDamy.BackColor = Nothing
        cmdEntFont.BackColor = Nothing
        cmdSelectData.BackColor = Nothing
        cmdViewFont.BackColor = Nothing
        cmdQuit.BackColor = Nothing
    End Sub

    Private Sub cmdViewFont_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdViewFont.Click
        If FontDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            UctCheckedListBox1.ViewFont = FontDialog1.Font
            UctListBox1.ViewFont = FontDialog1.Font
        End If
    End Sub

    Private Sub cmdEntFont_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdEntFont.Click
        If FontDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            UctCheckedListBox1.EntryFont = FontDialog1.Font
            UctListBox1.EntryFont = FontDialog1.Font
        End If
    End Sub

    Private Sub cmdClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdClear.Click
        UctCheckedListBox1.ValueDataTable = Nothing
        UctListBox1.ValueDataTable = Nothing
    End Sub

    Private Sub txtEntryLine_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtEntryLine.TextChanged
    End Sub

    Private Sub cmdClickWave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdClickWave.Click
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            UctCheckedListBox1.WaveFile = OpenFileDialog1.FileName
            UctListBox1.WaveFile = OpenFileDialog1.FileName
        End If
    End Sub

    Private Sub cmdClickColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdClickColor.Click
        If ColorDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            UctCheckedListBox1.ClickColor = ColorDialog1.Color
            UctListBox1.ClickColor = ColorDialog1.Color
            cmdClickColor.BackColor = ColorDialog1.Color
        End If
    End Sub

    Private Sub cmdHoverColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdHoverColor.Click
        If ColorDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            UctCheckedListBox1.HoverColor = ColorDialog1.Color
            UctListBox1.HoverColor = ColorDialog1.Color
            cmdHoverColor.BackColor = ColorDialog1.Color
        End If
    End Sub

    Private Sub cmdLeaveColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdLeaveColor.Click
        If ColorDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            UctCheckedListBox1.LeaveColor = ColorDialog1.Color
            UctListBox1.LeaveColor = ColorDialog1.Color
            cmdLeaveColor.BackColor = ColorDialog1.Color
        End If
    End Sub

    Private Sub txtEntryLine_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtEntryLine.Validated
        UctCheckedListBox1.EntryLine = txtEntryLine.Value
        UctListBox1.EntryLine = txtEntryLine.Value
    End Sub

    Private Sub cmdDamy_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdDamy.Click
        Dim objDebugTable As New TechBee.dbgDataTableD
        Dim objDataTable As DataTable = objDebugTable.gfnc_objDataTable(30, 1)
        UctCheckedListBox1.ValueDataTable = objDataTable
        UctListBox1.ValueDataTable = objDataTable
    End Sub

    Private Sub cmdSelectData_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdSelectData.Click
        Dim strBUFF As String = ""
        Dim intCNT As Integer
        Dim blnRCV() As Boolean = UctCheckedListBox1.CheckedIndex
        Dim strRCV() As String = UctCheckedListBox1.CheckedItem
        strBUFF += "uctCheckedListBox の選択データ" & vbCrLf & vbCrLf
        For intCNT = 0 To blnRCV.Length - 1
            If blnRCV(intCNT) Then
                strBUFF += strRCV(intCNT) & vbCrLf
            End If
        Next
        strBUFF += vbCrLf
        strBUFF += "uctListBox の選択データ" & vbCrLf & vbCrLf
        strBUFF += UctListBox1.SelectedItem
        Call MsgBox(strBUFF, MsgBoxStyle.Information + MsgBoxStyle.OkOnly, mcst_strProgramName)
    End Sub

    Private Sub cmdQuit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdQuit.Click
        Me.Close()
    End Sub

End Class
